Subject: Re: mmotm 2010-03-23 - IPv6 warnings...

From: [email-masked]
Date: Fri, 26 Mar 2010 02:18:22 -0400

On Thu, 25 Mar 2010 21:40:50 PDT, David Miller said:
> From: [email-masked]
> Date: Thu, 25 Mar 2010 12:45:30 -0400
> 
> > On Wed, 24 Mar 2010 18:42:26 EDT, Andrew Morton said:
> >> On Wed, 24 Mar 2010 21:36:41 -0400 [email-masked] wrote:
> >> 
> >> > On Tue, 23 Mar 2010 15:34:59 PDT, [email-masked] said:
> >> > > The mm-of-the-moment snapshot 2010-03-23-15-34 has been uploaded to
> >> > > 
> >> > >    http://userweb.kernel.org/~akpm/mmotm/
> >> > 
> >> > Seen in my dmesg.  It may be relevant that I'm at home, and my IPv6
> >> > prefix arrives via a PPP VPN connection. This happened about 20-25 secon
ds
> >> > after I launched pppd.
> >> 
> >> Yes, thanks, I get the same - it doesn't seem to break anything.  It
> >> also happens some time after boot has completed.
> > 
> > Just doing an 'ifup eth0' on a network with IPv6 on it is sufficient.
> 
> I just checked the following into net-next-2.6 which should at least
> kill that dmesg log.
> 
> If you still are missing your ipv6 addresses, let me know how
> they normally get added, maybe that's enough to let me figure
> it out.

Confirming looks like a good fix - no cruft in dmesg, and I have ipv6 addresses:

%  ifconfig ppp0
ppp0      Link encap:Point-to-Point Protocol  
          inet addr:128.173.34.103  P-t-P:128.173.32.21  Mask:255.255.255.255
          inet6 addr: 2001:468:c80:3b04:105d:a65c:28c4:75d1/64 Scope:Global
          inet6 addr: fe80::105d:a65c:28c4:75d1/10 Scope:Link
          UP POINTOPOINT RUNNING NOARP MULTICAST  MTU:1460  Metric:1
          RX packets:79 errors:0 dropped:0 overruns:0 frame:0
          TX packets:85 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:3 
          RX bytes:30943 (30.2 KiB)  TX bytes:6746 (6.5 KiB)